﻿# encoding: Windows-31J
#
#	レイアウトテスト
#
#

require "dxruby"
require 'kconv'
require_relative './ayame'
require "./load.rb"
require "./base.rb"
require "./card.rb"

DataBase.loadCard
DataBase.loadSound
DataBase.loadMusic

$font = Font.new(16)  # 第２引数を省略するとＭＳ Pゴシックになります
$object_list = []
$item_click = []
$master_image=Image.load('./image/card_list.bmp')
$card_list = $master_image.sliceTiles(5,5)
$enemy_maxhp = 20
$enemy_hp = 20
$turn = 0
$combo = 0
$status_mes=""

MAX_CARD = 7
CARD_X = []
CARD_X[0] = 90
CARD_X[1] = 205
CARD_X[2] = 295
CARD_X[3] = 385
CARD_X[4] = 475

class SceneTitle
	def init
		$object_list.push(BackGroundTitle.new(0,0))
	end
	def exec
		$object_list.each do |elem|
			elem.update
			elem.draw
		end
	end

end

class SceneZukan
	def init
		$object_list.push(BackGroundZukan.new(0,0))
	end
	def exec
		$object_list.each do |elem|
			elem.update
			elem.draw
		end
	end

end

class SceneMusic
	def init
		$object_list.push(BackGroundMusic.new(0,0))
	end
	def exec
		$object_list.each do |elem|
			elem.update
			elem.draw
		end
	end

end

class SceneBattle
	def init
		#　背景
		$object_list.push(BackGround.new(0,0))
		# 枠Window
		$object_list.push(WindowWaku.new(0,320))
		#　敵
		$object_list.push(Enemy.new(320,180))
		#　敵対力
		$object_list.push(GaugeHP.new(200,45))
		# drawボタン設置
		$object_list.push(WindowDraw.new(5,5))
		# カードを設定
		5.times do |n|
			temp=rand(MAX_CARD)
			str="Card_"+temp.to_s
			$object_list.push(Object.const_get(str).new(115*n+90,400))
		end
	end
	def	exec
		$object_list.each do |elem|
			elem.update
			elem.draw
		end
		$item_click.uniq!
	end
end

$scene = SceneTitle.new
$scene.init

Window.loop do
	$scene.exec
	break if Input.key_push?(K_ESCAPE)
end


